MICRO_RAZERS(1)

NAME
micro_razers - Map small RNA reads possibly containing 3' adapter sequence

SYNOPSIS
micro_razers [OPTIONS] <GENOME FILE> <READS FILE>

DESCRIPTION
MicroRazerS uses a prefix-based mapping strategy to map small RNA reads possibly containing 3' adapter sequence.

Input to MicroRazerS is a reference genome file and a file with single-end reads. Use - to read the reads from stdin.

(c) Copyright 2009 by Anne-Katrin Emde.

REQUIRED ARGUMENTS

ARGUMENT 0 INPUT_FILE
    A reference genome file. Valid filetypes are: .sam[.*], .raw[.*], .gbk[.*], .frn[.*], .fq[.*], .fna[.*], .ffn[.*], .fastq[.*], .fasta[.*], .fas[.*], .faa[.*], .fa[.*], .embl[.*], and .bam, where * is any of the following extensions: gz, bz2, and bgzf for transparent (de)compression.

READS List of INPUT_FILE's
    Either one (single-end) or two (paired-end) read files. Valid filetypes are: .sam[.*], .raw[.*], .gbk[.*], .frn[.*], .fq[.*], .fna[.*], .ffn[.*], .fastq[.*], .fasta[.*], .fas[.*], .faa[.*], .fa[.*], .embl[.*], and .bam, where * is any of the following extensions: gz, bz2, and bgzf for transparent (de)compression.

OPTIONS

-h, --help
    Display the help message.

--version
    Display version information.

  Main Options::

-o, --output OUTPUT_FILE
    Change output filename. (use - to dump to stdout in razers format) Default: <READS FILE>.razers. Valid filetypes are: .sam and .razers.

-rr, --recognition-rate DOUBLE
    set the percent recognition rate In range [80..100]. Default: 100.

-sL, --seed-length INTEGER
    seed length In range [10..inf]. Default: 16.

-sE, --seed-error
    allow for one error in the seed

-f, --forward
    map reads only to forward strands.

-r, --reverse
    map reads only to reverse strands.

-mN, --match-N
    'N' matches with all other characters

-m, --max-hits INTEGER
    output only NUM of the best hits In range [1..inf]. Default: 100.

-pa, --purge-ambiguous
    purge reads with more than max-hits best matches

-lm, --low-memory
    decrease memory usage at the expense of runtime

-v, --verbose
    verbose mode

-vv, --vverbose
    very verbose mode

  Output Options::

-a, --alignment
    dump the alignment for each match

-gn, --genome-naming INTEGER
    Select how genomes are named. 0 = use Fasta id, 1 = enumerate beginning with 1. In range [0..1]. Default: 0.

-rn, --read-naming INTEGER
    Select how reads are named. 0 = use Fasta id, 1 = enumerate beginning with 1. In range [0..1]. Default: 0.

-so, --sort-order INTEGER
    Select how matches are sorted. 0 = read number, 1 = genome position. In range [0..1]. Default: 0.

-pf, --position-format INTEGER
    Select begin/end position numbering (see Coordinate section below). 0 = gap space, 1 = position space. In range [0..1]. Default: 0.